from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XDispatchHelper(XInterface, Protocol):
    def executeDispatch(self, DispatchProvider: XDispatchProvider, URL: str, TargetFrameName: str, SearchFlags: int, Arguments: PropertyValue >) -> Any: ...
